language: cn
model_unique_abbr: ASCDT_csu
version: 1.0
identification:
  docker_image_name: ascdt:1.0
  model_name: ASCDT聚类
  semantic: ascdt clustering
  description: 基于Delaunay三角网进行多层长边删除的空间点聚类方法。
  category_application: 诊断型
  category_data:
    - 矢量点数据
  keywords:
    - 三角网约束
    - 异常长边
    - 子图分割
parameter_info:
  parameters:
    - arg_name: input
      is_single_en_dash: false
      param_type: input_data
      name: 空间点数据
      description: "待聚类的空间点数据,以csv的形式保存,需要表头"
      data_type: csv
      data_semantic: cluster_data
    - arg_name: x_field
      is_single_en_dash: false
      param_type: param
      name: X坐标字段
      description: X坐标列在输入文件中的列名
      is_required: true
      data_type: str
      data_semantic: x_field
      param_switches:
        - switch_arg_name: input
          switch_arg_value_regex: csv$
          switch_arg_value_examples: [big_dataset.csv, small_dataset.csv]
      specification:
        default: x
    - arg_name: y_field
      is_single_en_dash: false
      param_type: param
      name: Y坐标字段
      description: Y坐标列在输入文件中的列名
      is_required: true
      data_type: str
      data_semantic: y_field
      param_switches:
        - switch_arg_name: input
          switch_arg_value_regex: csv$
          switch_arg_value_examples: [big_dataset.csv, small_dataset.csv]
      specification:
        default: y
    - arg_name: beta
      is_single_en_dash: false
      param_type: param
      name: 控制因子
      description: 控制识别局部长边的敏感度。大于0、小于10的浮点数。
      is_required: true
      data_type: float
      data_semantic: control factor
      specification:
        default: 1.5
        range:
          - "(0,10)"
    - arg_name: output
      is_single_en_dash: false
      param_type: output_data
      name: 聚类结果
      description: 带有簇标签的聚类结果，保存为json文件。新增列名默认为label,若原数据中已有该列,则添加从序号1编号,如label1、label2...。聚类标签为1,2...
      data_type: json
      data_semantic: cluster_result
  groups:
    - group_id: ixy
      group_name: 输入数据XY列
      group_param_arg_names:
        - input
        - x_field
        - y_field
application:
  domain: 空间点聚类
  objective: 在局部密度差异较大的空间点数据中发现任意形状的空间簇
  dimension:
    - 二维
  mechanism: 对于空间点对象建立三角网，通过删除三角网中的异常长边和“颈”、“链”边，得到的每个子图的空间点对象集合即为空间簇
operation:
  usage: "该算法需要三个参数,X坐标列名,Y坐标列名,识别局部长边的敏感度。"
  exec_example:
    - docker run -v $(pwd):/data ascdt:1.0 --input /data/data.csv --output /data/clustering_result.json
    - docker run -v $(pwd):/data ascdt:1.0 --input /data/data.csv --beta 1.5 --output /data/clustering_result.json
  output_display:
    - "针对聚类结果中label列,用不同颜色绘制不同标签的二维点数据。"
technique:
  language:
    - Python
  os:
    - Linux
    - Windows
source:
  maintainer: Nanwei Cheng
  organization: Central South University
  contact: 2247486718@qq.com
  references:
    - "Deng, M., Liu, Q., Cheng, T., et al. 2011. An adaptive spatial clustering algorithm based on Delaunay triangulation. Computers, Environment and Urban Systems, 35(4):320–332."
